Jump to content
wobiii

Recherche freelancer- synchronisation via XLM feed

Recommended Posts

Bonjour,

 

Je souhaite synchroniser mon catalogue avec celui d'un fournisseur via XLM Feed.

 

 

Cela doit fonctionner comme cela

1° si un produit dans le flux n'existe pas dans ma boutique: le créer

2° si un produit existe, juste actualiser les quantités (ne pas écraser le titre, la description ect)

J'ai acheté un module pour cela:  http://addons.prestashop.com/en/bulk-update-prestashop-modules/7951-massive-customizable-xml-importer.html
Full documentation: http://prestashopxmlimporter.madef.fr/?lang=en

Il faut:

1° Fixer le problème suivant: The library libxml is not installed. To use XSLT you must install this PHP extension.

2° rendre le flux compatible avec le module en utilisant le format XSLT (inclus dans le module avec un outil http://prestashopxmlimporter.madef.fr/xslt.php 

 

 

D'après un première échange avec le dév du module, cela est possible, et nécessite un peu de PHP si il y a un seul feed (il y en a plusieurs... mais tous différents du coup je ne sais pas si on ne va pas s'en servir d'un seul)

 

Prestashop 1.5.6.2

Serveur dédié, accès complet

 

Merci de me contacter si vous êtes intéressé. 

 




 

Share this post


Link to post
Share on other sites

Bonjour,

 

Nous sommes entrain de finaliser un module multi fournisseur, il permettra de se brancher avec n'importe quel fournisseur.

Si vous le souhaitez nous pouvons ajouter votre fournisseur dans la liste de compatibilité du module.

Cordialement,

 

Arthur

Share this post


Link to post
Share on other sites

Bonjour,

 

Il faut:

1° Fixer le problème suivant: The library libxml is not installed. To use XSLT you must install this PHP extension.
 

 

Ce soucis peut certainement etre corrigé très rapidement, il suffit probablement d'installer le ou les paquets manquants.

Quel est OS utilisé par votre serveur dédié s'il vous plait ?

 

Cordialement,

 

Julien

Share this post


Link to post
Share on other sites

@ethercréation: je vous remercie pour votre proposition, j'ai trouvé votre module à 99 € sur votre site qui est un tarif tout à fait raisonnable. J’achèterais peut être un jour votre module car il convient exactement à mon type d'activité. Mais pour le moment, je continue comme cela. Cordialement,

 

@_tech: debian6

Edited by wobii (see edit history)

Share this post


Link to post
Share on other sites

@ethercréation: je vous remercie pour votre proposition, j'ai trouvé votre module à 99 € sur votre site qui est un tarif tout à fait raisonnable. J’achèterais peut être un jour votre module car il convient exactement à mon type d'activité. Mais pour le moment, je continue comme cela. Cordialement,

 

@_tech: debian6

 

Merci. Je pense qu'il faut installer le paquet php5-xsl et activer l'extension xsl.

Avec un système Debian, les commandes sont généralement les suivantes :

 

sudo apt-get install php5-xsl

(si votre service web est apache) sudo a2enmod xsl.

 

Recharger ensuite le service : sudo /etc/init.d/apache2 reload

 

Vous avez aussi peut être la possibilité de configurer ceci en ligne chez votre hébergeur.

 

Le message d'erreur devrait disparaître.

 

Je reste à votre disposition.

 

Cordialement,

Julien

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More